# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import os

from ubuntu_system_tests.helpers import file_system as fs


def clear_gallery_data():
    """Clean the gallery data and history"""
    data_dir = os.path.join(os.path.expanduser("~"), ".cache",
                            "com.ubuntu.gallery", "thumbnails")
    for root, dirs, files in os.walk(data_dir):
        for dir in dirs:
            fs.clean_dir(dir)
